RESTinio

Public Types | Public Member Functions | Private Types | Private Attributes | List of all members
restinio::easy_parser::impl::transformed_value_producer_t< Producer, Transformer > Class Template Reference

A template of producer that gets a value from another producer, transforms it and produces transformed value. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::transformed_value_producer_t< Producer, Transformer >:

## Public Types
using | result_type = typename Transformer::result_type
Public Types inherited from restinio::easy_parser::impl::producer_tag< Transformer::result_type >
using | result_type = Transformer::result_type

## Public Member Functions
| transformed_value_producer_t (Producer &&producer, Transformer &&transformer)
RESTINIO_NODISCARD expected_t< result_type, parse_error_t > | try_parse (source_t &source)

## Private Types
using | traits_checker = transformed_value_producer_traits_checker< Producer, Transformer >

## Private Attributes
Producer | m_producer
Transformer | m_transformer

## Additional Inherited Members
Static Public Attributes inherited from restinio::easy_parser::impl::producer_tag< Transformer::result_type >
static constexpr entity_type_t | entity_type

## Detailed Description

template<typename Producer, typename Transformer>
class restinio::easy_parser::impl::transformed_value_producer_t< Producer, Transformer >

A template of producer that gets a value from another producer, transforms it and produces transformed value.

Template Parameters

  Producer | the type of producer of source value.
  Transformer | the type of transformer from source to the target value.

Since
  v.0.6.1

Definition at line 1179 of file easy_parser.hpp.

## Member Typedef Documentation

## ◆ result_type

template<typename Producer , typename Transformer >

using restinio::easy_parser::impl::transformed_value_producer_t< Producer, Transformer >::result_type = typename Transformer::result_type

Definition at line 1194 of file easy_parser.hpp.

## ◆ traits_checker

template<typename Producer , typename Transformer >

using restinio::easy_parser::impl::transformed_value_producer_t< Producer, Transformer >::traits_checker = transformed_value_producer_traits_checker< Producer, Transformer >
| private

Definition at line 1182 of file easy_parser.hpp.

## Constructor & Destructor Documentation

## ◆ transformed_value_producer_t()

template<typename Producer , typename Transformer >

restinio::easy_parser::impl::transformed_value_producer_t< Producer, Transformer >::transformed_value_producer_t | ( | Producer && | producer,
|  | Transformer && | transformer
| ) |  |
| inline

Definition at line 1196 of file easy_parser.hpp.

## Member Function Documentation

## ◆ try_parse()

template<typename Producer , typename Transformer >

RESTINIO_NODISCARD expected_t< result_type, parse_error_t > restinio::easy_parser::impl::transformed_value_producer_t< Producer, Transformer >::try_parse | ( | source_t & | source | ) |
| inline

Definition at line 1205 of file easy_parser.hpp.

## Member Data Documentation

## ◆ m_producer

template<typename Producer , typename Transformer >

Producer restinio::easy_parser::impl::transformed_value_producer_t< Producer, Transformer >::m_producer
| private

Definition at line 1190 of file easy_parser.hpp.

## ◆ m_transformer

template<typename Producer , typename Transformer >

Transformer restinio::easy_parser::impl::transformed_value_producer_t< Producer, Transformer >::m_transformer
| private

Definition at line 1191 of file easy_parser.hpp.

The documentation for this class was generated from the following file:

- restinio/helpers/easy_parser.hpp